@import "@/styles/variables";

.topic-list {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem 1rem;
    scroll-margin-top: 8.5rem;

    .inner {
        @include notebook {
            grid-column: 2 / -2;
        }
    }

    .container {
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.25rem;

        @include smallscreen {
            grid-template-rows: repeat(auto-fit, minmax(10rem, 1fr));
            grid-template-columns: repeat(4, 1fr);
        }

        @include desktop-hd {
            grid-template-rows: repeat(auto-fit, minmax(8rem, 1fr));
        }

        @include k2k {
            grid-template-rows: max-content;
        }
    }

    .color-link {
        grid-column: 1 / -1;
        justify-self: center;
        z-index: 5;
    }
}
